GNU bug report logs - #36269
26.2; mouse-drag-and-drop-region conflicts with mouse-avoidance

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Scott Otterson <scotto@HIDDEN>; dated Mon, 17 Jun 2019 20:54:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 36269 <at> debbugs.gnu.org:


Received: (at 36269) by debbugs.gnu.org; 3 Aug 2019 11:25:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 03 07:25:42 2019
Received: from localhost ([127.0.0.1]:58365 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1htsAQ-0005J9-EX
	for submit <at> debbugs.gnu.org; Sat, 03 Aug 2019 07:25:42 -0400
Received: from eggs.gnu.org ([209.51.188.92]:33607)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>)
 id 1htsAM-0005Ir-BD; Sat, 03 Aug 2019 07:25:39 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:55746)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1htsAG-0002Rv-O0; Sat, 03 Aug 2019 07:25:32 -0400
Received: from [176.228.60.248] (port=4927 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1htsA5-0008Ip-AZ; Sat, 03 Aug 2019 07:25:23 -0400
Date: Sat, 03 Aug 2019 14:25:13 +0300
Message-Id: <83ftmiebja.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
In-reply-to: <42eec0a5-2c91-aaab-a536-08f3157ca864@HIDDEN> (message from
 martin rudalics on Sun, 28 Jul 2019 09:34:00 +0200)
Subject: Re: bug#28620: Mouse drag event records wrong window for release when
 crossing frames
References: <CA+OMD9ii+yax4Pb+UvJpF-Rj=AkxV0qDbY=ZoMarP0B6qBC42g@HIDDEN>
 <5881afff-b233-2a01-34c3-0d7c4225875b@HIDDEN> <8336irn617.fsf@HIDDEN>
 <42eec0a5-2c91-aaab-a536-08f3157ca864@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36269
Cc: rswgnu@HIDDEN, scotto@HIDDEN, 28620 <at> debbugs.gnu.org,
 36269 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: rswgnu@HIDDEN, 28620 <at> debbugs.gnu.org, 36269 <at> debbugs.gnu.org,
>  scotto@HIDDEN
> From: martin rudalics <rudalics@HIDDEN>
> Date: Sun, 28 Jul 2019 09:34:00 +0200
> 
>  > There's too much of whitespace changes in the rest of the patch,
>  > making it very hard to review.  Can you show the patch without
>  > whitespace differences?
> 
> I attach a patch which re-adds some extraneous braces to w32term.c.

Thanks, that helped a lot.

> Also, I do not intend to push the changes until someone tells me that
> they work.  I neither use the mouse to drop nor mouse avoidance mode
> and so have never given it any serious testing.

I think you should push this to master, and we will have enough time
before the release to see if there are any problems with it.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36269; Package emacs. Full text available.

Message received at 36269 <at> debbugs.gnu.org:


Received: (at 36269) by debbugs.gnu.org; 30 Jul 2019 07:00:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 30 03:00:40 2019
Received: from localhost ([127.0.0.1]:49444 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hsM7j-0002jg-Ps
	for submit <at> debbugs.gnu.org; Tue, 30 Jul 2019 03:00:40 -0400
Received: from mout.gmx.net ([212.227.17.21]:47533)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>)
 id 1hsM7h-0002jP-QV; Tue, 30 Jul 2019 03:00:38 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1564470020;
 bh=Eb5wp0EbQ4iUlojnNnPDvNSot32KWfUdWBdxHsH1hYs=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=ZccuSIHumQJipxDNXT7kuka4uGIcLHvAK1x/ORCS2DtQ5QIySaBI+gBLJI2FdGVU1
 chjqRdg/Y05NYNpo3r2Jq4eJJyanLiDbJYMbaXCMt7xOZZtLda4B8iJGe7Fef+5NJw
 MENhG7gDt1WVT+fXzIUvfmMZLN2Qqtqw0/sHiRwM=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.101] ([212.95.5.43]) by mail.gmx.com (mrgmx102
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0MLR30-1hrnt81Cio-000bXt; Tue, 30
 Jul 2019 09:00:20 +0200
Subject: Re: bug#28620: Mouse drag event records wrong window for release when
 crossing frames
To: Robert Weiner <rswgnu@HIDDEN>
References: <CA+OMD9ii+yax4Pb+UvJpF-Rj=AkxV0qDbY=ZoMarP0B6qBC42g@HIDDEN>
 <5881afff-b233-2a01-34c3-0d7c4225875b@HIDDEN> <8336irn617.fsf@HIDDEN>
 <42eec0a5-2c91-aaab-a536-08f3157ca864@HIDDEN>
 <B8523E3F-B1E7-4F0B-A9B9-4C2F05B92DA3@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <b38a68bd-e1d1-3ef3-ec07-a0b84348e11d@HIDDEN>
Date: Tue, 30 Jul 2019 09:00:17 +0200
MIME-Version: 1.0
In-Reply-To: <B8523E3F-B1E7-4F0B-A9B9-4C2F05B92DA3@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: de-DE
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:d0NocdFEFtBH0mSzrAaL8ICzGVrrxbeF1OGxibM+mtWpLKJWNE7
 ru+5ksuB7xvT1mpNM1eAv9lBf/7lfY/Wo6JeVDc35wc9X8C26Gbpo66QQ2jTyyE2U7aNotA
 StpShhc4l50geZYbgvqlh90X0AVqsqKgvbk3OJz+IZwStajUf2EgxhprQGambnWCU1YLjHe
 wCjh++xIWV+Sc/zMA8z6g==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:YnTTqSITiHI=:skBP7HHxtcKNxbL/0Jbvtc
 DRFHJUcGvuzs/UznjM2mvWJMJ9wJswxWtD8IAOkO1ofZfeD2j2HkwNlIRr6izSP7ML68SIlxl
 gTLlQNtUh4fpwP9ju6H1qyhJJCAAd8vOWg1q8tjDG9LkQwApOLFVSLk9BW1jcBnLAC5nCFvKP
 0FnUHoJE6thq/Y+IrOpDe6q57Dxnw3ng8ACUFbFmWXJiJbckDgKpMKi946C+nhYXftShqV1cc
 yLq8VJUjSMLGzx1m75CVVCSa4MOpuE59PNH0KGZ8u3nYhRL+qWA5EXqc37N4za11yFWDEoVpb
 E9je7R22uFVRUB8n77TM+p5IIme3T9Y6lgGm/4Wl+8UN78LN4cqwOEOaRYH1kmzhbwG3Lt6Zc
 04XGOeyP7pFCaqy2HYmRpFYplKztH9fFV/pYdUvXOrtJbyusOAebeL6mkahoHdF5nMf7yHp/2
 FeiRFRhuJMQpnUUHuuy0Ukye87XJt/58xUXTvmOtK4Mvu41wX6aajsqTQ4su87vUVSf6SbtB6
 Br41u0unBZbQ1UkvOgBrrivfH0OGAoF4KD/p49xgUGGYlS5wamTZTa3OCU8aVbFxOzfDFTFnO
 dixvB3WxY+QSQ7PC0kC8mmcHPO+oU06kRUH8/SOkTkNqMGO1i/DTfnesGLQFqfm5+8pI1OlzM
 t6J6iswTAL8lN8JFg6pvO5GpU0UkuZFdAQnu761GzfeeNVR8Nr4tameRyafphs+bFfrbwIS9n
 bpRCrDftmJUVvPiDfVwuDgvFmEj9gCDE+o1A7AL/aUJrwfAtfdqN51LnBY+iK+qvesE30VmLM
 L9zD1lguBK/exz6se4NJ/cfQcLgJKgWc648twzGs3QY9pIMvnqE9w/78tan/evJjFPzJFb3n+
 JELi2jvUE1ErHYXOEIpqVVNFk9peA1zvIW9hFR7ZP5ROBw4lgCipS90hoffRyER9kmBPmZTFm
 UdGeSp9GhLI0FeXrKackKB63QBu/0OfyWFTmNGbCRbLB+Fq4JQapNhKYaXZDQ+3kW/I4orXbf
 T16keQPJiPYmNjVdSK0Vqp09xJ5wS847XNgYP/Vb4yLAiLSKQ/LrFFA0hHDhgv9wixtkqZMIz
 4O1SPnBNxn9pkDWNolwRmbly7zLtuw3plWx
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 36269
Cc: Eli Zaretskii <eliz@HIDDEN>, scotto@HIDDEN, 28620 <at> debbugs.gnu.org,
 36269 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 > I don=E2=80=99t have much time these days but will try to test it next=

 > weekend.  I use do use MacOS sometimes, so I can test there.

Your original report just turned two years old so there really is
no hurry ...

Thanks in advance, martin





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36269; Package emacs. Full text available.

Message received at 36269 <at> debbugs.gnu.org:


Received: (at 36269) by debbugs.gnu.org; 29 Jul 2019 23:21:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 29 19:21:41 2019
Received: from localhost ([127.0.0.1]:49312 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hsExZ-0005dt-FU
	for submit <at> debbugs.gnu.org; Mon, 29 Jul 2019 19:21:41 -0400
Received: from mail-qk1-f196.google.com ([209.85.222.196]:40351)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rswgnu@HIDDEN>)
 id 1hsExY-0005dc-D9; Mon, 29 Jul 2019 19:21:40 -0400
Received: by mail-qk1-f196.google.com with SMTP id s145so45277487qke.7;
 Mon, 29 Jul 2019 16:21:40 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:subject:from:in-reply-to:date:cc
 :content-transfer-encoding:message-id:references:to;
 bh=4I3Q2rBgwYziIOJtm0w7S8M4qOJadrtwHWKtDHPSao4=;
 b=oYloeKHcE+NiOCcrXsO6TDxaFcBza/RCpuO2Bk09Y0oBXDan6CbmbRbPCLtSZdfOK+
 w4b+9FM0ZYyUHFVBUigINoPsbLLUJfHJQIp5OpDxyIIAIBoCsxazgiclwqwNo6Zstydv
 RBROYOwY+9yAiIXtr6NA7rpC5zkj5lxXinj/dQt/p3KodTDpzakzYVj+vZHC6MfhEKgT
 OVDIoow8oUUlAcWIBk2YcstM1a17Q6qDyCkmYiAjOoxFH7CkbAyrvRBJIn/egWN6FGfp
 IQJ6o1ECWWC5vSJyxjvl8sFYKg/dwzOAqqUggzGmp/pK4AX/leGSED1CcM8ZWJvNqIYz
 Iz6Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:subject:from:in-reply-to:date:cc
 :content-transfer-encoding:message-id:references:to;
 bh=4I3Q2rBgwYziIOJtm0w7S8M4qOJadrtwHWKtDHPSao4=;
 b=DqzvtxVcpmpBiDnfG7nifRfRTmeqqv34T+Mm5vrMyeS0LloGzMGrZR/R+GDdTIyTsg
 s/Pt760+TpU/Iww1199Uda/o70gvB+v4giUooLiXecS3+kObF/Y52Z1TG7LmWYFt+d+p
 OaEh+rIUz6W/YPMtRAkjnudRGDT385DDjtQV7ujgroBDPOv2SLDgrukgpHulGiUmUqh4
 BQutM0mirDIC0KZdTDBZ29fnUQXBNZ6cV2gTIln1PRTzQ5Fc2/3ACAVBnJ6ppC2eaqnk
 cY0scW4w9wNFe2Um2ea5UsPIWzjPnbxHGnQTS6py0Xp2XJyTCw5ScZI/vycVPlI6kCqS
 744w==
X-Gm-Message-State: APjAAAXVe401IxKuVz0kvh5Dc/C1AmoYMbqACuzQ3BjAPOgpaUaKxN8P
 Al6NlLkhJ0c92hsLZRUJeu4=
X-Google-Smtp-Source: APXvYqx+wyHfNUSUnPPa0XsMC2fgC+Tyf21Y45/YdUFzqqFllmgL/n5JPctNXlZCM2Y7qM0tWnKERA==
X-Received: by 2002:a05:620a:14ba:: with SMTP id
 x26mr74071910qkj.328.1564442494787; 
 Mon, 29 Jul 2019 16:21:34 -0700 (PDT)
Received: from ?IPv6:2600:1000:b107:7b33:109d:7796:455e:2146?
 ([2600:1000:b107:7b33:109d:7796:455e:2146])
 by smtp.gmail.com with ESMTPSA id i62sm28410981qke.52.2019.07.29.16.21.33
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 29 Jul 2019 16:21:34 -0700 (PDT)
Content-Type: text/plain;
	charset=utf-8
Mime-Version: 1.0 (1.0)
Subject: Re: bug#28620: Mouse drag event records wrong window for release when
 crossing frames
From: Robert Weiner <rswgnu@HIDDEN>
X-Mailer: iPhone Mail (16E227)
In-Reply-To: <42eec0a5-2c91-aaab-a536-08f3157ca864@HIDDEN>
Date: Mon, 29 Jul 2019 19:21:28 -0400
Content-Transfer-Encoding: quoted-printable
Message-Id: <B8523E3F-B1E7-4F0B-A9B9-4C2F05B92DA3@HIDDEN>
References: <CA+OMD9ii+yax4Pb+UvJpF-Rj=AkxV0qDbY=ZoMarP0B6qBC42g@HIDDEN>
 <5881afff-b233-2a01-34c3-0d7c4225875b@HIDDEN> <8336irn617.fsf@HIDDEN>
 <42eec0a5-2c91-aaab-a536-08f3157ca864@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36269
Cc: Eli Zaretskii <eliz@HIDDEN>, scotto@HIDDEN, 28620 <at> debbugs.gnu.org,
 36269 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Martin:

I just want to say that this is an exciting fix and thank you for working on=
 it.  I don=E2=80=99t have much time these days but will try to test it next=
 weekend.  I use do use MacOS sometimes, so I can test there.

-- Bob

> On Jul 28, 2019, at 3:34 AM, martin rudalics <rudalics@HIDDEN> wrote:
>=20
> > Thanks, a few minor comments below.
>=20
> Thanks for the comments.  I hopefully applied all changes you
> proposed.
>=20
> Please keep in mind that I wrote the code almost two years ago and
> then forgot about it.  It's only in the context of Bug#36269 that I
> resurrected it - with all its inadequacies.
>=20
> >> @@ -3995,7 +3992,7 @@ kbd_buffer_get_event (KBOARD **kbp,
> >>         }
> >>       }
> >>     /* Try generating a mouse motion event.  */
> >> -  else if (!NILP (do_mouse_tracking) && some_mouse_moved ())
> >> +  else if (some_mouse_moved ())
> >
> > Can't we have mouse motion events outside track-mouse?
>=20
> Not to my knowledge.  In either case, I wouldn't want to change
> anything in this regard here.
>=20
> > There's too much of whitespace changes in the rest of the patch,
> > making it very hard to review.  Can you show the patch without
> > whitespace differences?
>=20
> I attach a patch which re-adds some extraneous braces to w32term.c.
> If you want me to restore more of the old code, please tell me.
>=20
> Also, I do not intend to push the changes until someone tells me that
> they work.  I neither use the mouse to drop nor mouse avoidance mode
> and so have never given it any serious testing.
>=20
> Thanks, martin
> <track-mouse-with-braces.diff>




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36269; Package emacs. Full text available.

Message received at 36269 <at> debbugs.gnu.org:


Received: (at 36269) by debbugs.gnu.org; 28 Jul 2019 07:34:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 28 03:34:24 2019
Received: from localhost ([127.0.0.1]:45690 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hrdhH-0007yL-3n
	for submit <at> debbugs.gnu.org; Sun, 28 Jul 2019 03:34:24 -0400
Received: from mout.gmx.net ([212.227.17.21]:55533)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>)
 id 1hrdhA-0007xi-QH; Sun, 28 Jul 2019 03:34:18 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1564299245;
 bh=33GO84EghBonLdfZxG6rC2j7MbWIEw3TvEAOl+tNY/c=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=N85pRnxGKikDk8y+ynEO5AQYt0u9UiZ3nW4Bi9fNXNzor0MK4+0RtN/i4V1YhFhVT
 yRpaNqKzVbQjfwals3IH/hVIu+nYjEv+jWjnxzJ+vTa5t8kdZyG41dOWP9maDjwqSx
 QuMqaNFKrFvetf6ibJSn/VPjMDWaHoIgGseB6nIU=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.101] ([212.95.5.130]) by mail.gmx.com (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1M7b2T-1hjfTV2vPx-0080lq; Sun, 28
 Jul 2019 09:34:04 +0200
Subject: Re: bug#28620: Mouse drag event records wrong window for release when
 crossing frames
To: Eli Zaretskii <eliz@HIDDEN>
References: <CA+OMD9ii+yax4Pb+UvJpF-Rj=AkxV0qDbY=ZoMarP0B6qBC42g@HIDDEN>
 <5881afff-b233-2a01-34c3-0d7c4225875b@HIDDEN> <8336irn617.fsf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <42eec0a5-2c91-aaab-a536-08f3157ca864@HIDDEN>
Date: Sun, 28 Jul 2019 09:34:00 +0200
MIME-Version: 1.0
In-Reply-To: <8336irn617.fsf@HIDDEN>
Content-Type: multipart/mixed; boundary="------------39FE6C27FE5DB683E2477899"
Content-Language: de-DE
X-Provags-ID: V03:K1:axf9ntRsxgdms2q9H/gzMm7wG6d99TPEPlR9aa+kh9IlhC7ImJ1
 sXAwOUHhRXUq+Mxjd94/dGE5JxaBy1hsiDPs8aaRhT60HCuVMzrIeQa5bIEc313tzudbF4C
 JBqjz848GEirkPqUtDxhFNAO+DE64fvR3gLWS0Oz287wDsMQUYGFh88gGc/U0H44h/Vq05Q
 9XsuLYCZ2GrgNgV6S6CYg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:ckY1jz07PjY=:mPbH/r8hy4guNPNsyfHQO7
 Xng1bjyxFojDCYwD2KUS726beOdhBH/SYjzN0NFcViePO8ogBl4D4ThvTwK0TFrhMTCOrnmqm
 DO68U9phgjnE6cvGiNakKB0qgWi2nrqOR25ug+HwaroaPXcwxN0hjYfI0MP/ya5oElsUOue5e
 HmzYhwbf3J8Uc2lZ7IFoAnvWUOFylhv4XffcsFd3Wbn4Td9yDBw+PnRW+tq+YOOmyv5fMx+eA
 hJkr98hik7hqvoqjNcRVdLjj2aU3nHDLjeQrbpYz4ePVQ7CODaLv9PxuS/R1TKM2eD2Yipgoy
 H62qogyahiwJ51IjbQrDpy1koosJUn1BWecZ6Xzf0iiAXw2i5oaa4LUtIzKT4W0Lzk2KVHeDQ
 z0IK3xaglW5XLcnZfqURKrMZT3F7OnnOt6rWMAGsS7nMwFiJqEDU7hDc4CxWq1e7R9+Oipv8K
 3UMCRjnPOChhhDN3cY4Bkd53e04FqvshG7SPPegVoJ6/AX85Mc4Lxjw+ls92kCfeL93PkFjsB
 axRIfqo28D2WgGGG8dqzewo1qa6qQLcVEvCgH2lcC0sDqtpcCvxhBPte3XB4qoX4pY7GArWXC
 6DafcWhWcYfoKI2oJyBgCrD290e0YflCXtkf0LcaUUFwtaSn5I9UTlriIH/PCw0UW7z9T9aa/
 +4m8vpxCjbA/2QMawCtrJnMu+I911H/3jWbekB4S3W4tz1ui5p5/856lqDykQnvTGYDbw8HPY
 wOAXXuXyL9sgDzjlOI+0Soa/a9oTqXyWGN97XtJ3+3Se0Bk/jpNaL6aa468hfiTsuS9Nro1wh
 fnutAaxYWoiiQL3Y9PYp9MZGhTcSI/c81ml7HybZrHN0NrDM6Ynw9JSF/njcGCkKmaLBAugvt
 D2T+IP81Q9NVwMHR+9hj0LIRtWK7VWS0kw4/rWe3q8dyLkTCWzBxhyaqjXTlcRUuQTQjxYfzP
 LbuG0w0Ood47Qxg54VEzQe8Fx+Ez4tUJj7cr/B+4/MebJ13hLc2SnedEQitmETdXNt0VOyu1e
 AdlEcsTGWeYDusPj7UFNP1wfO38UIDAAzb7gAY048ZKcPNKigLWt4kY/LFtw4/XWkoDaZqZMS
 hZNk90Es8NoxeU=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 36269
Cc: rswgnu@HIDDEN, scotto@HIDDEN, 28620 <at> debbugs.gnu.org,
 36269 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This is a multi-part message in MIME format.
--------------39FE6C27FE5DB683E2477899
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit

 > Thanks, a few minor comments below.

Thanks for the comments.  I hopefully applied all changes you
proposed.

Please keep in mind that I wrote the code almost two years ago and
then forgot about it.  It's only in the context of Bug#36269 that I
resurrected it - with all its inadequacies.

 >> @@ -3995,7 +3992,7 @@ kbd_buffer_get_event (KBOARD **kbp,
 >>         }
 >>       }
 >>     /* Try generating a mouse motion event.  */
 >> -  else if (!NILP (do_mouse_tracking) && some_mouse_moved ())
 >> +  else if (some_mouse_moved ())
 >
 > Can't we have mouse motion events outside track-mouse?

Not to my knowledge.  In either case, I wouldn't want to change
anything in this regard here.

 > There's too much of whitespace changes in the rest of the patch,
 > making it very hard to review.  Can you show the patch without
 > whitespace differences?

I attach a patch which re-adds some extraneous braces to w32term.c.
If you want me to restore more of the old code, please tell me.

Also, I do not intend to push the changes until someone tells me that
they work.  I neither use the mouse to drop nor mouse avoidance mode
and so have never given it any serious testing.

Thanks, martin

--------------39FE6C27FE5DB683E2477899
Content-Type: text/plain; charset=UTF-8;
 name="track-mouse-with-braces.diff"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename="track-mouse-with-braces.diff"
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--------------39FE6C27FE5DB683E2477899--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36269; Package emacs. Full text available.

Message received at 36269 <at> debbugs.gnu.org:


Received: (at 36269) by debbugs.gnu.org; 27 Jul 2019 10:09:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 27 06:09:08 2019
Received: from localhost ([127.0.0.1]:43608 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hrJdU-0005hE-0u
	for submit <at> debbugs.gnu.org; Sat, 27 Jul 2019 06:09:08 -0400
Received: from eggs.gnu.org ([209.51.188.92]:34409)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>)
 id 1hrJdS-0005gc-2d; Sat, 27 Jul 2019 06:09:06 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:38263)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1hrJdM-0005l3-JF; Sat, 27 Jul 2019 06:09:00 -0400
Received: from [176.228.60.248] (port=3704 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1hrJdM-0006wS-2a; Sat, 27 Jul 2019 06:09:00 -0400
Date: Sat, 27 Jul 2019 13:08:52 +0300
Message-Id: <8336irn617.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
In-reply-to: <5881afff-b233-2a01-34c3-0d7c4225875b@HIDDEN> (message from
 martin rudalics on Sat, 27 Jul 2019 11:26:47 +0200)
Subject: Re: bug#28620: Mouse drag event records wrong window for release when
 crossing frames
References: <CA+OMD9ii+yax4Pb+UvJpF-Rj=AkxV0qDbY=ZoMarP0B6qBC42g@HIDDEN>
 <5881afff-b233-2a01-34c3-0d7c4225875b@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36269
Cc: rswgnu@HIDDEN, scotto@HIDDEN, 28620 <at> debbugs.gnu.org,
 36269 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: martin rudalics <rudalics@HIDDEN>
> Date: Sat, 27 Jul 2019 11:26:47 +0200
> 
> I tried to address this problem in the attached patch.  Tested with
> GTK, Lucid, Motif and Windows builds.  Since my GNUstep Emacs is
> currently broken, somebody please verify that it does something
> reasonable (if anything at all) on MacOS.  Otherwise, I'd need help
> from people working there.
> 
> The patch should also fix the mouse drag and drop region vs. mouse
> avoidance mode problem.  Please someone verify that it does TRT now.

Thanks, a few minor comments below.

> +  /* If forced to complete the update, no input is pending or we are
> +     tracking the mouse do the update.  */

Commas missing here.  Should be

  /* If forced to complete the update, no input is pending, or we are
     tracking the mouse, do the update.  */


> -	  /* If this event is on a different frame, return a switch-frame this
> -	     time, and leave the event in the queue for next time.  */
> +	  /* If this event is on a different frame, return a
> +	     switch-frame this time and leave the event in the queue

A comma missing before "and".

> @@ -3995,7 +3992,7 @@ kbd_buffer_get_event (KBOARD **kbp,
>        }
>      }
>    /* Try generating a mouse motion event.  */
> -  else if (!NILP (do_mouse_tracking) && some_mouse_moved ())
> +  else if (some_mouse_moved ())

Can't we have mouse motion events outside track-mouse?

> +  DEFVAR_LISP ("track-mouse", track_mouse,
> +	       doc: /* Non-nil means generate motion events for mouse motion.
> +The sepecial values 'dragging' and 'dropping' assert that the moue
       ^^^^^^^^                                                  ^^^^
Typos.

Also, the quoting in doc strings should be `like this'.

> +      /* While dropping use the last mouse frame only if there is no
> +	 currently focused frame.  */

A comma missing before "use".

There's too much of whitespace changes in the rest of the patch,
making it very hard to review.  Can you show the patch without
whitespace differences?

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36269; Package emacs. Full text available.

Message received at 36269 <at> debbugs.gnu.org:


Received: (at 36269) by debbugs.gnu.org; 27 Jul 2019 09:27:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 27 05:27:05 2019
Received: from localhost ([127.0.0.1]:43591 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hrIym-0004jl-7O
	for submit <at> debbugs.gnu.org; Sat, 27 Jul 2019 05:27:05 -0400
Received: from mout.gmx.net ([212.227.17.20]:47249)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>)
 id 1hrIyh-0004j7-4e; Sat, 27 Jul 2019 05:27:00 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1564219611;
 bh=sQf0ztfyf8qHKc9gAce+WS7gI2pibKHV2EY02miFOeI=;
 h=X-UI-Sender-Class:Subject:To:References:From:Date:In-Reply-To;
 b=N3dbwGu4oZDI+wyp9hRD8knlF2GznQ7Xn2rPiSY6cMYuIfT3xucUtsUL+SA2J3+HX
 ndev5M+1yFpulPyvp2slaVDLrzcc+Hj1VlWiJHyHkbgnvXoEBHGofR1d/76WRl8+Vw
 0wVyPboPTPbsHNeV4rILPqRQxQXBnTsTo++4dbco=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.101] ([213.162.80.250]) by mail.gmx.com (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MIx3C-1i7Jei2nVK-00KTOC; Sat, 27
 Jul 2019 11:26:50 +0200
Subject: Re: bug#28620: Mouse drag event records wrong window for release when
 crossing frames
To: rswgnu@HIDDEN, 28620 <at> debbugs.gnu.org, 36269 <at> debbugs.gnu.org,
 Scott Otterson <scotto@HIDDEN>
References: <CA+OMD9ii+yax4Pb+UvJpF-Rj=AkxV0qDbY=ZoMarP0B6qBC42g@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <5881afff-b233-2a01-34c3-0d7c4225875b@HIDDEN>
Date: Sat, 27 Jul 2019 11:26:47 +0200
MIME-Version: 1.0
In-Reply-To: <CA+OMD9ii+yax4Pb+UvJpF-Rj=AkxV0qDbY=ZoMarP0B6qBC42g@HIDDEN>
Content-Type: multipart/mixed; boundary="------------B7922B75546CE207C9316044"
Content-Language: de-DE
X-Provags-ID: V03:K1:ELKHQ1oVUydZPakr5y0wWKe29HXHmtSfkhZdV+h/zK5qbTOQP/y
 03SPW62Urb7fsIiBseyMZmOM5ji6tdZFoQpd4SIFoWyEcSyKQk2detW+s8PA3Ipzg4r3NNP
 cQGHm4EOdwligMv9y+arrpYSMkowphrFQBMi1eosEFbe/LJ91IMIGSQs1mWU78TF/9a9UIR
 XVwTotG6XmfZowNe4yq+w==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:vMzbYUH+jkI=:6DWA5ydhYSHmg2Ojv1sDu0
 wk1EtI91gC73E4pkwpXIQfjMk7b5mvQBv66AQ/d21kOyYiKJZQ15LUsHRdQcvV1o36RMAN48y
 yPmgMmMe1A/PJ/P0eWgZwzQG2NYBNBby9nAISW4DEj8GBlV0eLKSeeEkbG2yTtBbR1FYvzsf+
 1K3cOQATpwCtfuQz1V94qi/0WMg5+zsON4dMk5s9qfuzwQVyN0uG7YuNIlh2FrkOjjKljaz7I
 PEpJ683vdTEWndA2evFpo4EZAcv5PaSfULxt+tU8UMBnbSByVfVdKXeNsYEyosqzgbdSUwvgI
 Eolt9TF5Kg9jJ21OvUK8hMyJOMSd7sjyJAR0ZvfF8TT1nKLbLAzX04qX62ospp+Or1kamEW8x
 QDh+t4ShrmGiB7yuR9iMFtA/mMKcGojxqNrxeXnQIGVw9sx+9l6kPZbo2j+/zAzX6ef7ipz7b
 npWFYAToJDM52O+yAh91jxsGDcrvffO5RoVuPN5JBzfcbb1UxX5x3G0rdh9RV0CzRkEigB1fV
 i3OQRaMaSiT5D1gUdAO/hBWbS/1fB3R0TDUE3+cQIpxRK1cUP2bquQw1Bvn3PtPSBxYh0n6tz
 6NYCtY1uOqU1UuSCv/LpysFi2HXJ2mvVoY7bjJjLvORDbftGKn3T+/RVU2KhWOvBqRVwg87eb
 LLlQti48gCveD53/kp6y9Yp5e2mDXE0tj26N/EPbjXS+iN1e+F0/FlcmM/FgPj74ac0fiOtgG
 qIg13hjxFmrhqI7qks+mJvQLUfBy43WFw5uyDfyTiJMhHUYOfTCZxVVfwgPiiVnIJqtzelAOO
 Qk/AQz9kKgEb9LjRZS0qE6WIMp60bMEa4T42n2s3pI3x7b/6wucf7cp21ZhGgifNTE+NRxUNW
 aDTenxIdAL7vznJI0y/uBr0QX01CvonLKKf2zXeV1puAjwAf73hTj/CAoco973I8MvYpQDOc3
 h3+jYRe5Ly+dntF/oB8dgnDGWW7DAti0DWc0n+2owvCV3HgIN98zY3O8Aw2FLCufoMgTrDBCk
 c/3wwHZpgl2dLpJCrZ2ujUA4Iu3c5km6ItQeoEhnnyqynNCF5wr3fENcvMFkAfgtR9Yz7YBrh
 DtVgtkg1qKU6oY=
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  > With Emacs 25.3 under MacOS 10.12, a drag with mouse-1
 depressed from > the text area of frame F1 to the text area of frame F2
 improperly
 > generates a drag event whose (posn-window (event-end <eve [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
 [213.162.80.250 listed in zen.spamhaus.org]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [212.227.17.20 listed in list.dnswl.org]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (rudalics[at]gmx.at)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
X-Debbugs-Envelope-To: 36269
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > With Emacs 25.3 under MacOS 10.12, a drag with mouse-1
   depressed from > the text area of frame F1 to the text area of frame F2 improperly
    > generates a drag event whose (posn-window (event-end <eve [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [213.162.80.250 listed in zen.spamhaus.org]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [212.227.17.20 listed in list.dnswl.org]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (rudalics[at]gmx.at)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

This is a multi-part message in MIME format.
--------------B7922B75546CE207C9316044
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit

 > With Emacs 25.3 under MacOS 10.12, a drag with mouse-1 depressed from
 > the text area of frame F1 to the text area of frame F2 improperly
 > generates a drag event whose (posn-window (event-end <event>)) shows
 > F1 rather than F2.
 >
 > Note that for a drag between frames, posn-window should return a frame
 > (according to the Elisp manual but not its own doc string).  The bug is
 > that the event itself records the wrong frame (the depress frame rather
 > than the release frame).
 >
 > I have confirmed this with Emacs 25.2 under Windows 7 as well.

I tried to address this problem in the attached patch.  Tested with
GTK, Lucid, Motif and Windows builds.  Since my GNUstep Emacs is
currently broken, somebody please verify that it does something
reasonable (if anything at all) on MacOS.  Otherwise, I'd need help
from people working there.

The patch should also fix the mouse drag and drop region vs. mouse
avoidance mode problem.  Please someone verify that it does TRT now.

TIA, martin

--------------B7922B75546CE207C9316044
Content-Type: text/plain; charset=UTF-8;
 name="track-mouse.diff"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename="track-mouse.diff"
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--------------B7922B75546CE207C9316044--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36269; Package emacs. Full text available.

Message received at 36269 <at> debbugs.gnu.org:


Received: (at 36269) by debbugs.gnu.org; 18 Jun 2019 08:19:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 18 04:19:41 2019
Received: from localhost ([127.0.0.1]:43711 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hd9LB-0002EY-I1
	for submit <at> debbugs.gnu.org; Tue, 18 Jun 2019 04:19:41 -0400
Received: from mout.gmx.net ([212.227.17.21]:60321)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1hd9L9-0002E2-Tk
 for 36269 <at> debbugs.gnu.org; Tue, 18 Jun 2019 04:19:40 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1560845974;
 bh=YJhRV5AgdvemqpAajXTSlPAI2PlyLM2IOdh/KuG6+xU=;
 h=X-UI-Sender-Class:Subject:To:References:From:Date:In-Reply-To;
 b=cZHDlA0cgr7S07p8g0mKXeLvE73DEcYZDiUiEJ+hCGNq0QEZ31Wsn7UAYAOTRHSC3
 7+xirw702HubWWx2cLe5uQGZN4cdtM2C/pdG2k6R59uXFlQctZtYWrkIiXHiNLFJjd
 8zllh9zdp/Jp1NFZo7zmSPQiEinbgHiQxi1sBLsQ=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.101] ([212.95.5.226]) by mail.gmx.com (mrgmx101
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0Lwnem-1ieswf3yXY-016NUj; Tue, 18
 Jun 2019 10:19:34 +0200
Subject: Re: bug#36269: 26.2; mouse-drag-and-drop-region conflicts with
 mouse-avoidance
To: Scott Otterson <scotto@HIDDEN>, 36269 <at> debbugs.gnu.org
References: <5d07fc0d.1c69fb81.32f34.0ce1@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <14a40893-f061-bf4c-e981-c29b62370659@HIDDEN>
Date: Tue, 18 Jun 2019 10:19:32 +0200
MIME-Version: 1.0
In-Reply-To: <5d07fc0d.1c69fb81.32f34.0ce1@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: de-DE
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:ch/nBwEOZvcMpAlSrJPdRtPF5/yM6sdB3wyyr945XMTaIRA+sE7
 FWW4jfF0IWAGpoHVYnLaoBwmEdvRb6+Ot2njZqyRWAfGn+lF7zMvfXsa+ODamlx6nuExz3E
 bXSdixmrCR2j1QnCzSvxfe58aHUi92fvSCj8mvDTzXeXjT2959iOkz5LgHAi4ovGTJYh8t6
 wAgenbcn6FDn2FI09LWBQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:A2yKMFzLYa8=:tfI55Rq1EQoYy4rp4yr3Ok
 A7VzXU+mB0HTow7OHZ7o4gqLvy3RFudHpRPuziR5OUq2iNddFCsFcJR++6K6/TxxCmIVRzIfC
 A8jIv+k/4riA2P+z0hWt0QbzSN9HVIdOJqFNR2fMynfpvtmdiOzhfa+JPWDcCVjmDZp4AO4Qr
 x84MGZS3FbTgXLX5D17SfqvBLo39wKISrsaRIBX4f/2BHnXsAjKvKnByJbp19OvaNQANh4dj9
 RvEMn9hqae1UVLSHgOHTC/R9mQonEDct7Ea9RzUm8QxtPSr7Hx1xCExGZWISUhpz5Xf+Yujdc
 lk+DVksqSl4x8ON13A0XOWdnxlR/OQqqCsA8Vi2r3VZxcnR32aWHyPaYXdfW0lz8c33sYthvD
 o1c6amwtxswy0vHBXwqr2/AMuerXTxetwLFw/JElowBH8YDvCicIJSkDPWztq6eqCkZxYt/YY
 4pVSt5eJv4yeMiH3rUSayDsfao7PZacErCOESPZ8O8P21igyNp6B+S6+S8kxdE0xmMO1j/q2U
 RNCDcvXQmNNV77uIUAluFcQNihNht38D09aidzsP4ZFFIryzBJB08hAHEn3AcB7cxr2rpttpg
 8FH6HB7fwMWE1s9w5j5Yy2kIXpV2yv4U4sv2e2WtNxGYu1BYvkTvIz6lRFpzgYEDDPt47M9nf
 5r8x7zx/J4CNu8rVEB8+RtpT6FIN9Le1BmC0SVaihhpcLQPkJz0dPd7LdVFAfigYpdlJgbXnj
 hxKZ3Oie1N8H13FpCrGF+tw1Vcqng5NujPkqe7vyRPFurFQ6dtLHbLGDWTJ7tcQ4RR48ojtUS
 B6MFupkyyyl005B4m/22VDqAS/vRuawnhKxclfnF/EU/z8HkINtkopa9Im4fW3OeKEQpknwNc
 l9+v2T5JFJMBEp4FvAAjEFs9np60zYP9c9rYYfWoIlXazJNAO+yvgWO+Ym8B+A9u6cEEtn4JZ
 SDPBegb2jN7Lk+kkalPFLq32or1ZiQ7WJgLC576Bf9WM4xopt3BTb
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 36269
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 > If mouse-avoidance is turned on, the new mouse-drag-and-drop-region
 > functionality is unusable; the dragging operation puts the mouse
 > pointer over the cursor, and then the mouse pointer moves randomly
 > in order to avoid it.

It's somewhat surprising that nobody noted this so far.

 > I'd suggest that, mouse-avoidance be turned off while a mouse-drag
 > region is in progress, and that it be restored to its original state when the dragging operation is done.

Could you write (and test) a patch in this regard?  At the end of
'mouse-drag-and-drop-region' there are a "Clean up" and a "Restore old
states" part where restoring the old 'mouse-avoidance-mode' could be
added.

Thank you, martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36269; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 17 Jun 2019 20:53:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 17 16:53:58 2019
Received: from localhost ([127.0.0.1]:43385 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hcydY-0004cd-0m
	for submit <at> debbugs.gnu.org; Mon, 17 Jun 2019 16:53:58 -0400
Received: from lists.gnu.org ([209.51.188.17]:39412)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <scotto@HIDDEN>) id 1hcyWL-0004QW-E0
 for submit <at> debbugs.gnu.org; Mon, 17 Jun 2019 16:46:32 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:40343)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <scotto@HIDDEN>) id 1hcyWE-0002K0-Eh
 for bug-gnu-emacs@HIDDEN; Mon, 17 Jun 2019 16:46:29 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,HTML_MESSAGE,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <scotto@HIDDEN>) id 1hcyW8-00009l-Lt
 for bug-gnu-emacs@HIDDEN; Mon, 17 Jun 2019 16:46:22 -0400
Received: from mail-pf1-x434.google.com ([2607:f8b0:4864:20::434]:33883)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <scotto@HIDDEN>)
 id 1hcyW4-0008SZ-3J
 for bug-gnu-emacs@HIDDEN; Mon, 17 Jun 2019 16:46:14 -0400
Received: by mail-pf1-x434.google.com with SMTP id c85so6312209pfc.1
 for <bug-gnu-emacs@HIDDEN>; Mon, 17 Jun 2019 13:46:08 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=sharpleaf-org.20150623.gappssmtp.com; s=20150623;
 h=message-id:mime-version:to:from:subject:date:importance;
 bh=rb0YAtiLEI7GdpWphZr0qbHLu/ZOXFs00QMWAbu99ME=;
 b=mX1uPcOilsuIPzbjW57aJr4TcfIV2lE7v/HC/PFGyrcrE1nKCvHo8pUwKfzG1sPKTj
 wB+1NzzOOEcWaLTNotLKT+/XlvM5xVJUDpcN8JWe1pIKgG76wPCxLDxnXChA+jI3ok2i
 aQaoxaKkLb4MuY61gJ1VtqUrfOp8BrGUbQJdz32S0C4cah4P8kul9cR0gkGaP79x8kxW
 T2w+or0CTrz7rNrTlmUNEVTIweelTnsEwtZ/8jO+1yGIL/5jTba6wbN7Ufxeslega0t+
 HcwtHbkMOUBz4Texq8xNrHd6JKQxoXrZ1gKFkgLQH+vI5N5am/9hzDtEqKaW3fZv+jQ6
 PfjA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:message-id:mime-version:to:from:subject:date
 :importance;
 bh=rb0YAtiLEI7GdpWphZr0qbHLu/ZOXFs00QMWAbu99ME=;
 b=JmxULeP7pmhTLUod0g5kG4rYbhG4bREUJ7lGZub4GYsLNVQ0jUOUo6EliGXgF4EFBB
 qM4LhaYZLi0vWFaJM6HFKlNejRbJnFFAPqa9ZJ864ObHuJOGYif4pZMblMSqUijf1oy0
 ZuEZequ1RXDt9JlC9rXPaJuiwgcTVNSIdbmJyIBUM7CVEqJ3Nv5UaWXm5OaxiHoLt2p/
 IiCM+ABLy4Q9UVAUY1tmVb1VFA2Nn7zF2/lXtPca+AEWbzE57NbM29sDAXk1MCTosWs1
 CMGOAIIEJD+ARncINAH34cru/zX3suqho+iiqJiGfvAY6hmyvRsL4af13l6/r1YOIu6W
 RRnA==
X-Gm-Message-State: APjAAAVEwMqDXs+D9CDEeGPkzIrrHCuU2EY96MSVmm9fsigjQBlI5njY
 L5wsycLQu9s/l1iNtOc0HJ8DooYQsPU=
X-Google-Smtp-Source: APXvYqyt2ZbZg1+rq7wBSQmUck9zLmDRn9Akg7wFWooc2y65wJg2BG3TzM478wRiQPbdB4yPo+Poaw==
X-Received: by 2002:a05:6a00:4c:: with SMTP id
 i12mr3755523pfk.134.1560804366390; 
 Mon, 17 Jun 2019 13:46:06 -0700 (PDT)
Received: from ?IPv6:::ffff:10.2.212.51? ([50.125.117.10])
 by smtp.gmail.com with ESMTPSA id m1sm194819pjv.22.2019.06.17.13.46.05
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 17 Jun 2019 13:46:05 -0700 (PDT)
Message-ID: <5d07fc0d.1c69fb81.32f34.0ce1@HIDDEN>
MIME-Version: 1.0
To: "bug-gnu-emacs@HIDDEN" <bug-gnu-emacs@HIDDEN>
From: Scott Otterson <scotto@HIDDEN>
Subject: 26.2; mouse-drag-and-drop-region conflicts with mouse-avoidance
Date: Mon, 17 Jun 2019 13:46:05 -0700
Importance: normal
X-Priority: 3
Content-Type: multipart/alternative;
 boundary="_50B7DF19-6DCB-4283-B4FA-12FD5884414B_"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2607:f8b0:4864:20::434
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 17 Jun 2019 16:53:54 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--_50B7DF19-6DCB-4283-B4FA-12FD5884414B_
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset="utf-8"

If mouse-avoidance is turned on, the new mouse-drag-and-drop-region functio=
nality is unusable; the dragging operation puts the mouse pointer over the =
cursor, and then the mouse pointer moves randomly in order to avoid it.

I'd suggest that, mouse-avoidance be turned off while a mouse-drag
region is in progress, and that it be restored to its original state when t=
he dragging operation is done.


In GNU Emacs 26.2 (build 1, x86_64-w64-mingw32)
 of 2019-04-13 built on CIRROCUMULUS
Repository revision: fd1b34bfba8f3f6298df47c8e10b61530426f749
Windowing system distributor 'Microsoft Corp.', version 10.0.17134
Recent messages:
Checking 57 files in c:/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/=
emacs/26.2/lisp/eshell...
Checking 70 files in c:/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/=
emacs/26.2/lisp/erc...
Checking 34 files in c:/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/=
emacs/26.2/lisp/emulation...
Checking 176 files in c:/ProgramData/chocolatey/lib/Emacs/tools/emacs/share=
/emacs/26.2/lisp/emacs-lisp...
Checking 24 files in c:/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/=
emacs/26.2/lisp/cedet...
Checking 57 files in c:/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/=
emacs/26.2/lisp/calendar...
Checking 87 files in c:/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/=
emacs/26.2/lisp/calc...
Checking 105 files in c:/ProgramData/chocolatey/lib/Emacs/tools/emacs/share=
/emacs/26.2/lisp/obsolete...
Checking for load-path shadows...done
Buffer *unsent mail to bug-gnu-emacs@HIDDEN* modified; kill anyway? (y or =
n) y

Configured using:
 'configure --without-dbus --host=3Dx86_64-w64-mingw32
 --without-compress-install 'CFLAGS=3D-O2 -static -g3''

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND NOTIFY ACL GNUTLS LIBXML2 ZLIB
TOOLKIT_SCROLL_BARS THREADS LCMS2

Important settings:
  value of $LANG: ENU
  locale-coding-system: cp1252

Major mode: Text

Minor modes in effect:
  adaptive-wrap-prefix-mode: t
  display-time-mode: t
  show-paren-mode: t
  beacon-mode: t
  which-key-mode: t
  diff-auto-refine-mode: t
  pyvenv-mode: t
  global-auto-complete-mode: t
  recentf-mode: t
  flx-ido-mode: t
  ido-grid-mode: t
  ido-ubiquitous-mode: t
  ido-everywhere: t
  ivy-mode: t
  google-this-mode: t
  persp-mode: t
  winner-mode: t
  global-auto-revert-mode: t
  shell-dirtrack-mode: t
  override-global-mode: t
  save-place-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  global-visual-line-mode: t
  visual-line-mode: t
  transient-mark-mode: t

Load-path shadows:
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ox hides c:/ProgramD=
ata/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ox
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ox-texinfo hides c:/=
ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ox-t=
exinfo
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ox-publish hides c:/=
ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ox-p=
ublish
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ox-org hides c:/Prog=
ramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ox-org
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ox-odt hides c:/Prog=
ramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ox-odt
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ox-md hides c:/Progr=
amData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ox-md
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ox-man hides c:/Prog=
ramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ox-man
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ox-latex hides c:/Pr=
ogramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ox-lat=
ex
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ox-icalendar hides c=
:/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ox=
-icalendar
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ox-html hides c:/Pro=
gramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ox-html
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ox-beamer hides c:/P=
rogramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ox-be=
amer
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ox-ascii hides c:/Pr=
ogramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ox-asc=
ii
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/org hides c:/Program=
Data/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/org
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/org-w3m hides c:/Pro=
gramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/org-w3m
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/org-version hides c:=
/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/org=
-version
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/org-timer hides c:/P=
rogramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/org-t=
imer
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/org-table hides c:/P=
rogramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/org-t=
able
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/org-src hides c:/Pro=
gramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/org-src
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/org-rmail hides c:/P=
rogramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/org-r=
mail
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/org-protocol hides c=
:/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/or=
g-protocol
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/org-plot hides c:/Pr=
ogramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/org-pl=
ot
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/org-pcomplete hides =
c:/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/o=
rg-pcomplete
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/org-mouse hides c:/P=
rogramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/org-m=
ouse
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/org-mobile hides c:/=
ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/org-=
mobile
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/org-mhe hides c:/Pro=
gramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/org-mhe
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/org-macs hides c:/Pr=
ogramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/org-ma=
cs
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/org-macro hides c:/P=
rogramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/org-m=
acro
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/org-loaddefs hides c=
:/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/or=
g-loaddefs
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/org-list hides c:/Pr=
ogramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/org-li=
st
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/org-lint hides c:/Pr=
ogramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/org-li=
nt
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/org-irc hides c:/Pro=
gramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/org-irc
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/org-install hides c:=
/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/org=
-install
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/org-inlinetask hides=
 c:/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/=
org-inlinetask
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/org-info hides c:/Pr=
ogramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/org-in=
fo
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/org-indent hides c:/=
ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/org-=
indent
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/org-id hides c:/Prog=
ramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/org-id
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/org-habit hides c:/P=
rogramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/org-h=
abit
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/org-gnus hides c:/Pr=
ogramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/org-gn=
us
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/org-footnote hides c=
:/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/or=
g-footnote
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/org-feed hides c:/Pr=
ogramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/org-fe=
ed
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/org-faces hides c:/P=
rogramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/org-f=
aces
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/org-eww hides c:/Pro=
gramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/org-eww
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/org-eshell hides c:/=
ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/org-=
eshell
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/org-entities hides c=
:/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/or=
g-entities
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/org-element hides c:=
/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/org=
-element
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/org-duration hides c=
:/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/or=
g-duration
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/org-docview hides c:=
/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/org=
-docview
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/org-datetree hides c=
:/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/or=
g-datetree
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/org-ctags hides c:/P=
rogramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/org-c=
tags
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/org-crypt hides c:/P=
rogramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/org-c=
rypt
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/org-compat hides c:/=
ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/org-=
compat
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/org-colview hides c:=
/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/org=
-colview
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/org-clock hides c:/P=
rogramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/org-c=
lock
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/org-capture hides c:=
/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/org=
-capture
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/org-bibtex hides c:/=
ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/org-=
bibtex
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/org-bbdb hides c:/Pr=
ogramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/org-bb=
db
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/org-attach hides c:/=
ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/org-=
attach
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/org-archive hides c:=
/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/org=
-archive
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/org-agenda hides c:/=
ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/org-=
agenda
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob hides c:/ProgramD=
ata/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-vala hides c:/Pro=
gramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-vala
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-tangle hides c:/P=
rogramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-ta=
ngle
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-table hides c:/Pr=
ogramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-tab=
le
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-stan hides c:/Pro=
gramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-stan
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-sqlite hides c:/P=
rogramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-sq=
lite
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-sql hides c:/Prog=
ramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-sql
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-shen hides c:/Pro=
gramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-shen
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-shell hides c:/Pr=
ogramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-she=
ll
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-sed hides c:/Prog=
ramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-sed
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-screen hides c:/P=
rogramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-sc=
reen
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-scheme hides c:/P=
rogramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-sc=
heme
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-sass hides c:/Pro=
gramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-sass
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-ruby hides c:/Pro=
gramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-ruby
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-ref hides c:/Prog=
ramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-ref
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-R hides c:/Progra=
mData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-R
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-python hides c:/P=
rogramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-py=
thon
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-processing hides =
c:/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/o=
b-processing
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-plantuml hides c:=
/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-=
plantuml
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-picolisp hides c:=
/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-=
picolisp
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-perl hides c:/Pro=
gramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-perl
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-org hides c:/Prog=
ramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-org
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-octave hides c:/P=
rogramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-oc=
tave
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-ocaml hides c:/Pr=
ogramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-oca=
ml
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-mscgen hides c:/P=
rogramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-ms=
cgen
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-maxima hides c:/P=
rogramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-ma=
xima
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-matlab hides c:/P=
rogramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-ma=
tlab
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-makefile hides c:=
/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-=
makefile
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-lua hides c:/Prog=
ramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-lua
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-lob hides c:/Prog=
ramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-lob
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-lisp hides c:/Pro=
gramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-lisp
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-lilypond hides c:=
/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-=
lilypond
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-ledger hides c:/P=
rogramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-le=
dger
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-latex hides c:/Pr=
ogramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-lat=
ex
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-keys hides c:/Pro=
gramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-keys
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-js hides c:/Progr=
amData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-js
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-java hides c:/Pro=
gramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-java
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-J hides c:/Progra=
mData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-J
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-io hides c:/Progr=
amData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-io
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-hledger hides c:/=
ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-h=
ledger
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-haskell hides c:/=
ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-h=
askell
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-groovy hides c:/P=
rogramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-gr=
oovy
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-gnuplot hides c:/=
ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-g=
nuplot
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-fortran hides c:/=
ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-f=
ortran
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-forth hides c:/Pr=
ogramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-for=
th
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-exp hides c:/Prog=
ramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-exp
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-eval hides c:/Pro=
gramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-eval
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-emacs-lisp hides =
c:/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/o=
b-emacs-lisp
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-ebnf hides c:/Pro=
gramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-ebnf
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-dot hides c:/Prog=
ramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-dot
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-ditaa hides c:/Pr=
ogramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-dit=
aa
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-css hides c:/Prog=
ramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-css
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-core hides c:/Pro=
gramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-core
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-coq hides c:/Prog=
ramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-coq
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-comint hides c:/P=
rogramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-co=
mint
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-clojure hides c:/=
ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-c=
lojure
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-calc hides c:/Pro=
gramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-calc
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-C hides c:/Progra=
mData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-C
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-awk hides c:/Prog=
ramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-awk
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-asymptote hides c=
:/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob=
-asymptote
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-abc hides c:/Prog=
ramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-abc

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
rfc822 mml mml-sec epa derived epg gnus-util rmail rmail-loaddefs
mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils
mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr
mail-utils eieio-opt speedbar sb-image ezimage dframe char-fold
two-column iso-transl pp strokes msb artist picture reporter apropos
goto-addr view ox-minutes org-eldoc org-man org-choose org-protocol
org-mouse org-inlinetask org-info org-bibtex bibtex ox-s5 ox-freemind
ox-confluence adaptive-wrap avoid smart-mode-line rich-minority time
paren beacon helpful imenu trace edebug info-look f dash-functional
elisp-refs loop hydra lv helm-descbinds helm helm-source eieio-compat
helm-multi-match helm-lib async which-key cdlatex texmathp
writegood-mode flyspell-correct-ido flyspell-correct flyspell ispell
ox-pandoc ht ox-org ox-odt rng-loc rng-uri rng-parse rng-match rng-dt
rng-util rng-pttrn nxml-parse nxml-ns nxml-enc xmltok nxml-util ox-latex
ox-icalendar ox-html table ox-ascii ox-publish ox org-cliplink
org-cliplink-transport org-cliplink-string em-glob wrap-region
org-autolist org-bullets cperl-mode-expansions cperl-mode elpygen
yasnippet highlight-indentation flymake-proc flymake warnings
company-capf company help-fns radix-tree elpy find-file-in-project
diff-mode elpy-shell pyvenv elpy-profile elpy-django elpy-refactor
subr-x python-el-fgallina-expansions python tramp-sh tramp tramp-compat
tramp-loaddefs trampver ucs-normalize parse-time json map grep files-x
etags xref project py-autopep8 xcscope cc-mode-expansions cc-mode
cc-fonts cc-guess cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars
cc-defs init-matlab highlight-indent-guides outshine outshine-org-cmds
outorg the-org-mode-expansions org-element avl-tree generator org ob
ob-tangle ob-ref ob-lob ob-table ob-exp org-macro org-footnote org-src
ob-comint ob-keys org-pcomplete org-list org-faces org-entities
org-version ob-emacs-lisp ob-core ob-eval org-compat org-macs
org-loaddefs format-spec find-func cal-menu calendar cal-loaddefs
noutline outline auto-complete popup rx recentf tree-widget buffer-move
windmove smart-region elec-pair multiple-cursors
mc-hide-unmatched-lines-mode mc-separate-operations
rectangular-region-mode mc-mark-pop mc-mark-more mc-cycle-cursors
mc-edit-lines expand-region text-mode-expansions er-basic-expansions
expand-region-core expand-region-custom smex ido-describe-bindings dash
flx-ido ido-grid-mode ido-completing-read+ memoize s cus-edit cus-start
cus-load wid-edit minibuf-eldef ido swiper ivy flx delsel colir color
ivy-overlay ffap thingatpt iedit iedit-lib multiple-cursors-core rect
replace-from-region google-this url url-proxy url-privacy url-expand
url-methods url-history url-cookie url-domsuf url-util mailcap diminish
persp-mode cl winner transpose-frame autorevert filenotify powershell
advice compile em-smart esh-var esh-io esh-cmd esh-opt esh-ext esh-proc
esh-arg esh-groups eshell esh-module esh-mode esh-util shell pcomplete
comint ansi-color ring ps-print ps-print-loaddefs ps-def lpr pcase
edmacro kmacro cl-extra help-mode use-package use-package-ensure
use-package-delight use-package-diminish use-package-bind-key bind-key
easy-mmode use-package-core finder-inf tex-site info package easymenu
epg-config url-handlers url-parse auth-source cl-seq eieio eieio-core
cl-macs eieio-loaddefs password-cache url-vars seq byte-opt gv bytecomp
byte-compile cconv cl-loaddefs cl-lib saveplace server time-date
mule-util tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel dos-w32 ls-lisp disp-table term/w32-win w32-win
w32-vars term/common-win tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow isearch timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript charprop case-table epa-hook jka-cmpr-hook
help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads w32notify w32 lcms2 multi-tty make-network-process
emacs)

Memory information:
((conses 16 823059 172693)
 (symbols 48 56541 97)
 (miscs 40 1813 3257)
 (strings 32 202445 19670)
 (string-bytes 1 5795113)
 (vectors 16 120746)
 (vector-slots 8 2686955 360274)
 (floats 8 683 1226)
 (intervals 56 5581 4574)
 (buffers 992 23))*** E-Mail body has been placed on clipboard, please past=
e it here! ***
Sent from Mail for Windows 10


--_50B7DF19-6DCB-4283-B4FA-12FD5884414B_
Content-Transfer-Encoding: quoted-printable
Content-Type: text/html; charset="utf-8"

<html xmlns:o=3D"urn:schemas-microsoft-com:office:office" xmlns:w=3D"urn:sc=
hemas-microsoft-com:office:word" xmlns:m=3D"http://schemas.microsoft.com/of=
fice/2004/12/omml" xmlns=3D"http://www.w3.org/TR/REC-html40"><head><meta ht=
tp-equiv=3DContent-Type content=3D"text/html; charset=3Dutf-8"><meta name=
=3DGenerator content=3D"Microsoft Word 15 (filtered medium)"><style><!--
/* Font Definitions */
@font-face
	{font-family:"Cambria Math";
	panose-1:2 4 5 3 5 4 6 3 2 4;}
@font-face
	{font-family:Calibri;
	panose-1:2 15 5 2 2 2 4 3 2 4;}
/* Style Definitions */
p.MsoNormal, li.MsoNormal, div.MsoNormal
	{margin:0in;
	margin-bottom:.0001pt;
	font-size:11.0pt;
	font-family:"Calibri",sans-serif;}
a:link, span.MsoHyperlink
	{mso-style-priority:99;
	color:blue;
	text-decoration:underline;}
a:visited, span.MsoHyperlinkFollowed
	{mso-style-priority:99;
	color:#954F72;
	text-decoration:underline;}
.MsoChpDefault
	{mso-style-type:export-only;}
@page WordSection1
	{size:8.5in 11.0in;
	margin:1.0in 1.0in 1.0in 1.0in;}
div.WordSection1
	{page:WordSection1;}
--></style></head><body lang=3DEN-US link=3Dblue vlink=3D"#954F72"><div cla=
ss=3DWordSection1><p class=3DMsoNormal>If mouse-avoidance is turned on, the=
 new mouse-drag-and-drop-region functionality is unusable; the dragging ope=
ration puts the mouse pointer over the cursor, and then the mouse pointer m=
oves randomly in order to avoid it.</p><p class=3DMsoNormal><o:p>&nbsp;</o:=
p></p><p class=3DMsoNormal>I'd suggest that, mouse-avoidance be turned off =
while a mouse-drag</p><p class=3DMsoNormal>region is in progress, and that =
it be restored to its original state when the dragging operation is done.</=
p><p class=3DMsoNormal><o:p>&nbsp;</o:p></p><p class=3DMsoNormal><o:p>&nbsp=
;</o:p></p><p class=3DMsoNormal>In GNU Emacs 26.2 (build 1, x86_64-w64-ming=
w32)</p><p class=3DMsoNormal> of 2019-04-13 built on CIRROCUMULUS</p><p cla=
ss=3DMsoNormal>Repository revision: fd1b34bfba8f3f6298df47c8e10b61530426f74=
9</p><p class=3DMsoNormal>Windowing system distributor 'Microsoft Corp.', v=
ersion 10.0.17134</p><p class=3DMsoNormal>Recent messages:</p><p class=3DMs=
oNormal>Checking 57 files in c:/ProgramData/chocolatey/lib/Emacs/tools/emac=
s/share/emacs/26.2/lisp/eshell...</p><p class=3DMsoNormal>Checking 70 files=
 in c:/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/e=
rc...</p><p class=3DMsoNormal>Checking 34 files in c:/ProgramData/chocolate=
y/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/emulation...</p><p class=3DMs=
oNormal>Checking 176 files in c:/ProgramData/chocolatey/lib/Emacs/tools/ema=
cs/share/emacs/26.2/lisp/emacs-lisp...</p><p class=3DMsoNormal>Checking 24 =
files in c:/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/l=
isp/cedet...</p><p class=3DMsoNormal>Checking 57 files in c:/ProgramData/ch=
ocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/calendar...</p><p clas=
s=3DMsoNormal>Checking 87 files in c:/ProgramData/chocolatey/lib/Emacs/tool=
s/emacs/share/emacs/26.2/lisp/calc...</p><p class=3DMsoNormal>Checking 105 =
files in c:/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/l=
isp/obsolete...</p><p class=3DMsoNormal>Checking for load-path shadows...do=
ne</p><p class=3DMsoNormal>Buffer *unsent mail to bug-gnu-emacs@HIDDEN* mo=
dified; kill anyway? (y or n) y</p><p class=3DMsoNormal><o:p>&nbsp;</o:p></=
p><p class=3DMsoNormal>Configured using:</p><p class=3DMsoNormal> 'configur=
e --without-dbus --host=3Dx86_64-w64-mingw32</p><p class=3DMsoNormal> --wit=
hout-compress-install 'CFLAGS=3D-O2 -static -g3''</p><p class=3DMsoNormal><=
o:p>&nbsp;</o:p></p><p class=3DMsoNormal>Configured features:</p><p class=
=3DMsoNormal>XPM JPEG TIFF GIF PNG RSVG SOUND NOTIFY ACL GNUTLS LIBXML2 ZLI=
B</p><p class=3DMsoNormal>TOOLKIT_SCROLL_BARS THREADS LCMS2</p><p class=3DM=
soNormal><o:p>&nbsp;</o:p></p><p class=3DMsoNormal>Important settings:</p><=
p class=3DMsoNormal>=C2=A0 value of $LANG: ENU</p><p class=3DMsoNormal>=C2=
=A0 locale-coding-system: cp1252</p><p class=3DMsoNormal><o:p>&nbsp;</o:p><=
/p><p class=3DMsoNormal>Major mode: Text</p><p class=3DMsoNormal><o:p>&nbsp=
;</o:p></p><p class=3DMsoNormal>Minor modes in effect:</p><p class=3DMsoNor=
mal>=C2=A0 adaptive-wrap-prefix-mode: t</p><p class=3DMsoNormal>=C2=A0 disp=
lay-time-mode: t</p><p class=3DMsoNormal>=C2=A0 show-paren-mode: t</p><p cl=
ass=3DMsoNormal>=C2=A0 beacon-mode: t</p><p class=3DMsoNormal>=C2=A0 which-=
key-mode: t</p><p class=3DMsoNormal>=C2=A0 diff-auto-refine-mode: t</p><p c=
lass=3DMsoNormal>=C2=A0 pyvenv-mode: t</p><p class=3DMsoNormal>=C2=A0 globa=
l-auto-complete-mode: t</p><p class=3DMsoNormal>=C2=A0 recentf-mode: t</p><=
p class=3DMsoNormal>=C2=A0 flx-ido-mode: t</p><p class=3DMsoNormal>=C2=A0 i=
do-grid-mode: t</p><p class=3DMsoNormal>=C2=A0 ido-ubiquitous-mode: t</p><p=
 class=3DMsoNormal>=C2=A0 ido-everywhere: t</p><p class=3DMsoNormal>=C2=A0 =
ivy-mode: t</p><p class=3DMsoNormal>=C2=A0 google-this-mode: t</p><p class=
=3DMsoNormal>=C2=A0 persp-mode: t</p><p class=3DMsoNormal>=C2=A0 winner-mod=
e: t</p><p class=3DMsoNormal>=C2=A0 global-auto-revert-mode: t</p><p class=
=3DMsoNormal>=C2=A0 shell-dirtrack-mode: t</p><p class=3DMsoNormal>=C2=A0 o=
verride-global-mode: t</p><p class=3DMsoNormal>=C2=A0 save-place-mode: t</p=
><p class=3DMsoNormal>=C2=A0 tooltip-mode: t</p><p class=3DMsoNormal>=C2=A0=
 global-eldoc-mode: t</p><p class=3DMsoNormal>=C2=A0 electric-indent-mode: =
t</p><p class=3DMsoNormal>=C2=A0 mouse-wheel-mode: t</p><p class=3DMsoNorma=
l>=C2=A0 menu-bar-mode: t</p><p class=3DMsoNormal>=C2=A0 file-name-shadow-m=
ode: t</p><p class=3DMsoNormal>=C2=A0 global-font-lock-mode: t</p><p class=
=3DMsoNormal>=C2=A0 font-lock-mode: t</p><p class=3DMsoNormal>=C2=A0 auto-c=
omposition-mode: t</p><p class=3DMsoNormal>=C2=A0 auto-encryption-mode: t</=
p><p class=3DMsoNormal>=C2=A0 auto-compression-mode: t</p><p class=3DMsoNor=
mal>=C2=A0 column-number-mode: t</p><p class=3DMsoNormal>=C2=A0 line-number=
-mode: t</p><p class=3DMsoNormal>=C2=A0 global-visual-line-mode: t</p><p cl=
ass=3DMsoNormal>=C2=A0 visual-line-mode: t</p><p class=3DMsoNormal>=C2=A0 t=
ransient-mark-mode: t</p><p class=3DMsoNormal><o:p>&nbsp;</o:p></p><p class=
=3DMsoNormal>Load-path shadows:</p><p class=3DMsoNormal>c:/Users/Scott/.ema=
cs.d/elpa/org-plus-contrib-20190617/ox hides c:/ProgramData/chocolatey/lib/=
Emacs/tools/emacs/share/emacs/26.2/lisp/org/ox</p><p class=3DMsoNormal>c:/U=
sers/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ox-texinfo hides c:/Prog=
ramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ox-texin=
fo</p><p class=3DMsoNormal>c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20=
190617/ox-publish hides c:/ProgramData/chocolatey/lib/Emacs/tools/emacs/sha=
re/emacs/26.2/lisp/org/ox-publish</p><p class=3DMsoNormal>c:/Users/Scott/.e=
macs.d/elpa/org-plus-contrib-20190617/ox-org hides c:/ProgramData/chocolate=
y/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ox-org</p><p class=3DMsoN=
ormal>c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ox-odt hides c=
:/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ox=
-odt</p><p class=3DMsoNormal>c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-=
20190617/ox-md hides c:/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/=
emacs/26.2/lisp/org/ox-md</p><p class=3DMsoNormal>c:/Users/Scott/.emacs.d/e=
lpa/org-plus-contrib-20190617/ox-man hides c:/ProgramData/chocolatey/lib/Em=
acs/tools/emacs/share/emacs/26.2/lisp/org/ox-man</p><p class=3DMsoNormal>c:=
/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ox-latex hides c:/Prog=
ramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ox-latex=
</p><p class=3DMsoNormal>c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-2019=
0617/ox-icalendar hides c:/ProgramData/chocolatey/lib/Emacs/tools/emacs/sha=
re/emacs/26.2/lisp/org/ox-icalendar</p><p class=3DMsoNormal>c:/Users/Scott/=
.emacs.d/elpa/org-plus-contrib-20190617/ox-html hides c:/ProgramData/chocol=
atey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ox-html</p><p class=3D=
MsoNormal>c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ox-beamer =
hides c:/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp=
/org/ox-beamer</p><p class=3DMsoNormal>c:/Users/Scott/.emacs.d/elpa/org-plu=
s-contrib-20190617/ox-ascii hides c:/ProgramData/chocolatey/lib/Emacs/tools=
/emacs/share/emacs/26.2/lisp/org/ox-ascii</p><p class=3DMsoNormal>c:/Users/=
Scott/.emacs.d/elpa/org-plus-contrib-20190617/org hides c:/ProgramData/choc=
olatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/org</p><p class=3DMs=
oNormal>c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/org-w3m hide=
s c:/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org=
/org-w3m</p><p class=3DMsoNormal>c:/Users/Scott/.emacs.d/elpa/org-plus-cont=
rib-20190617/org-version hides c:/ProgramData/chocolatey/lib/Emacs/tools/em=
acs/share/emacs/26.2/lisp/org/org-version</p><p class=3DMsoNormal>c:/Users/=
Scott/.emacs.d/elpa/org-plus-contrib-20190617/org-timer hides c:/ProgramDat=
a/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/org-timer</p><=
p class=3DMsoNormal>c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/=
org-table hides c:/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs=
/26.2/lisp/org/org-table</p><p class=3DMsoNormal>c:/Users/Scott/.emacs.d/el=
pa/org-plus-contrib-20190617/org-src hides c:/ProgramData/chocolatey/lib/Em=
acs/tools/emacs/share/emacs/26.2/lisp/org/org-src</p><p class=3DMsoNormal>c=
:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/org-rmail hides c:/Pr=
ogramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/org-rm=
ail</p><p class=3DMsoNormal>c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-2=
0190617/org-protocol hides c:/ProgramData/chocolatey/lib/Emacs/tools/emacs/=
share/emacs/26.2/lisp/org/org-protocol</p><p class=3DMsoNormal>c:/Users/Sco=
tt/.emacs.d/elpa/org-plus-contrib-20190617/org-plot hides c:/ProgramData/ch=
ocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/org-plot</p><p cla=
ss=3DMsoNormal>c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/org-p=
complete hides c:/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/=
26.2/lisp/org/org-pcomplete</p><p class=3DMsoNormal>c:/Users/Scott/.emacs.d=
/elpa/org-plus-contrib-20190617/org-mouse hides c:/ProgramData/chocolatey/l=
ib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/org-mouse</p><p class=3DMsoN=
ormal>c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/org-mobile hid=
es c:/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/or=
g/org-mobile</p><p class=3DMsoNormal>c:/Users/Scott/.emacs.d/elpa/org-plus-=
contrib-20190617/org-mhe hides c:/ProgramData/chocolatey/lib/Emacs/tools/em=
acs/share/emacs/26.2/lisp/org/org-mhe</p><p class=3DMsoNormal>c:/Users/Scot=
t/.emacs.d/elpa/org-plus-contrib-20190617/org-macs hides c:/ProgramData/cho=
colatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/org-macs</p><p clas=
s=3DMsoNormal>c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/org-ma=
cro hides c:/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/=
lisp/org/org-macro</p><p class=3DMsoNormal>c:/Users/Scott/.emacs.d/elpa/org=
-plus-contrib-20190617/org-loaddefs hides c:/ProgramData/chocolatey/lib/Ema=
cs/tools/emacs/share/emacs/26.2/lisp/org/org-loaddefs</p><p class=3DMsoNorm=
al>c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/org-list hides c:=
/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/org=
-list</p><p class=3DMsoNormal>c:/Users/Scott/.emacs.d/elpa/org-plus-contrib=
-20190617/org-lint hides c:/ProgramData/chocolatey/lib/Emacs/tools/emacs/sh=
are/emacs/26.2/lisp/org/org-lint</p><p class=3DMsoNormal>c:/Users/Scott/.em=
acs.d/elpa/org-plus-contrib-20190617/org-irc hides c:/ProgramData/chocolate=
y/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/org-irc</p><p class=3DMso=
Normal>c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/org-install h=
ides c:/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/=
org/org-install</p><p class=3DMsoNormal>c:/Users/Scott/.emacs.d/elpa/org-pl=
us-contrib-20190617/org-inlinetask hides c:/ProgramData/chocolatey/lib/Emac=
s/tools/emacs/share/emacs/26.2/lisp/org/org-inlinetask</p><p class=3DMsoNor=
mal>c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/org-info hides c=
:/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/or=
g-info</p><p class=3DMsoNormal>c:/Users/Scott/.emacs.d/elpa/org-plus-contri=
b-20190617/org-indent hides c:/ProgramData/chocolatey/lib/Emacs/tools/emacs=
/share/emacs/26.2/lisp/org/org-indent</p><p class=3DMsoNormal>c:/Users/Scot=
t/.emacs.d/elpa/org-plus-contrib-20190617/org-id hides c:/ProgramData/choco=
latey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/org-id</p><p class=3D=
MsoNormal>c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/org-habit =
hides c:/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp=
/org/org-habit</p><p class=3DMsoNormal>c:/Users/Scott/.emacs.d/elpa/org-plu=
s-contrib-20190617/org-gnus hides c:/ProgramData/chocolatey/lib/Emacs/tools=
/emacs/share/emacs/26.2/lisp/org/org-gnus</p><p class=3DMsoNormal>c:/Users/=
Scott/.emacs.d/elpa/org-plus-contrib-20190617/org-footnote hides c:/Program=
Data/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/org-footnot=
e</p><p class=3DMsoNormal>c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-201=
90617/org-feed hides c:/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/=
emacs/26.2/lisp/org/org-feed</p><p class=3DMsoNormal>c:/Users/Scott/.emacs.=
d/elpa/org-plus-contrib-20190617/org-faces hides c:/ProgramData/chocolatey/=
lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/org-faces</p><p class=3DMso=
Normal>c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/org-eww hides=
 c:/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/=
org-eww</p><p class=3DMsoNormal>c:/Users/Scott/.emacs.d/elpa/org-plus-contr=
ib-20190617/org-eshell hides c:/ProgramData/chocolatey/lib/Emacs/tools/emac=
s/share/emacs/26.2/lisp/org/org-eshell</p><p class=3DMsoNormal>c:/Users/Sco=
tt/.emacs.d/elpa/org-plus-contrib-20190617/org-entities hides c:/ProgramDat=
a/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/org-entities</=
p><p class=3DMsoNormal>c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-201906=
17/org-element hides c:/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/=
emacs/26.2/lisp/org/org-element</p><p class=3DMsoNormal>c:/Users/Scott/.ema=
cs.d/elpa/org-plus-contrib-20190617/org-duration hides c:/ProgramData/choco=
latey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/org-duration</p><p cl=
ass=3DMsoNormal>c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/org-=
docview hides c:/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/2=
6.2/lisp/org/org-docview</p><p class=3DMsoNormal>c:/Users/Scott/.emacs.d/el=
pa/org-plus-contrib-20190617/org-datetree hides c:/ProgramData/chocolatey/l=
ib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/org-datetree</p><p class=3DM=
soNormal>c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/org-ctags h=
ides c:/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/=
org/org-ctags</p><p class=3DMsoNormal>c:/Users/Scott/.emacs.d/elpa/org-plus=
-contrib-20190617/org-crypt hides c:/ProgramData/chocolatey/lib/Emacs/tools=
/emacs/share/emacs/26.2/lisp/org/org-crypt</p><p class=3DMsoNormal>c:/Users=
/Scott/.emacs.d/elpa/org-plus-contrib-20190617/org-compat hides c:/ProgramD=
ata/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/org-compat</=
p><p class=3DMsoNormal>c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-201906=
17/org-colview hides c:/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/=
emacs/26.2/lisp/org/org-colview</p><p class=3DMsoNormal>c:/Users/Scott/.ema=
cs.d/elpa/org-plus-contrib-20190617/org-clock hides c:/ProgramData/chocolat=
ey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/org-clock</p><p class=3D=
MsoNormal>c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/org-captur=
e hides c:/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/li=
sp/org/org-capture</p><p class=3DMsoNormal>c:/Users/Scott/.emacs.d/elpa/org=
-plus-contrib-20190617/org-bibtex hides c:/ProgramData/chocolatey/lib/Emacs=
/tools/emacs/share/emacs/26.2/lisp/org/org-bibtex</p><p class=3DMsoNormal>c=
:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/org-bbdb hides c:/Pro=
gramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/org-bbd=
b</p><p class=3DMsoNormal>c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-201=
90617/org-attach hides c:/ProgramData/chocolatey/lib/Emacs/tools/emacs/shar=
e/emacs/26.2/lisp/org/org-attach</p><p class=3DMsoNormal>c:/Users/Scott/.em=
acs.d/elpa/org-plus-contrib-20190617/org-archive hides c:/ProgramData/choco=
latey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/org-archive</p><p cla=
ss=3DMsoNormal>c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/org-a=
genda hides c:/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.=
2/lisp/org/org-agenda</p><p class=3DMsoNormal>c:/Users/Scott/.emacs.d/elpa/=
org-plus-contrib-20190617/ob hides c:/ProgramData/chocolatey/lib/Emacs/tool=
s/emacs/share/emacs/26.2/lisp/org/ob</p><p class=3DMsoNormal>c:/Users/Scott=
/.emacs.d/elpa/org-plus-contrib-20190617/ob-vala hides c:/ProgramData/choco=
latey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-vala</p><p class=
=3DMsoNormal>c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-tang=
le hides c:/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/l=
isp/org/ob-tangle</p><p class=3DMsoNormal>c:/Users/Scott/.emacs.d/elpa/org-=
plus-contrib-20190617/ob-table hides c:/ProgramData/chocolatey/lib/Emacs/to=
ols/emacs/share/emacs/26.2/lisp/org/ob-table</p><p class=3DMsoNormal>c:/Use=
rs/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-stan hides c:/ProgramDa=
ta/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-stan</p><p=
 class=3DMsoNormal>c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/o=
b-sqlite hides c:/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/=
26.2/lisp/org/ob-sqlite</p><p class=3DMsoNormal>c:/Users/Scott/.emacs.d/elp=
a/org-plus-contrib-20190617/ob-sql hides c:/ProgramData/chocolatey/lib/Emac=
s/tools/emacs/share/emacs/26.2/lisp/org/ob-sql</p><p class=3DMsoNormal>c:/U=
sers/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-shen hides c:/Program=
Data/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-shen</p>=
<p class=3DMsoNormal>c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617=
/ob-shell hides c:/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs=
/26.2/lisp/org/ob-shell</p><p class=3DMsoNormal>c:/Users/Scott/.emacs.d/elp=
a/org-plus-contrib-20190617/ob-sed hides c:/ProgramData/chocolatey/lib/Emac=
s/tools/emacs/share/emacs/26.2/lisp/org/ob-sed</p><p class=3DMsoNormal>c:/U=
sers/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-screen hides c:/Progr=
amData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-screen=
</p><p class=3DMsoNormal>c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-2019=
0617/ob-scheme hides c:/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/=
emacs/26.2/lisp/org/ob-scheme</p><p class=3DMsoNormal>c:/Users/Scott/.emacs=
.d/elpa/org-plus-contrib-20190617/ob-sass hides c:/ProgramData/chocolatey/l=
ib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-sass</p><p class=3DMsoNor=
mal>c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-ruby hides c:=
/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-=
ruby</p><p class=3DMsoNormal>c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-=
20190617/ob-ref hides c:/ProgramData/chocolatey/lib/Emacs/tools/emacs/share=
/emacs/26.2/lisp/org/ob-ref</p><p class=3DMsoNormal>c:/Users/Scott/.emacs.d=
/elpa/org-plus-contrib-20190617/ob-R hides c:/ProgramData/chocolatey/lib/Em=
acs/tools/emacs/share/emacs/26.2/lisp/org/ob-R</p><p class=3DMsoNormal>c:/U=
sers/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-python hides c:/Progr=
amData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-python=
</p><p class=3DMsoNormal>c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-2019=
0617/ob-processing hides c:/ProgramData/chocolatey/lib/Emacs/tools/emacs/sh=
are/emacs/26.2/lisp/org/ob-processing</p><p class=3DMsoNormal>c:/Users/Scot=
t/.emacs.d/elpa/org-plus-contrib-20190617/ob-plantuml hides c:/ProgramData/=
chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-plantuml</p><=
p class=3DMsoNormal>c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/=
ob-picolisp hides c:/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/ema=
cs/26.2/lisp/org/ob-picolisp</p><p class=3DMsoNormal>c:/Users/Scott/.emacs.=
d/elpa/org-plus-contrib-20190617/ob-perl hides c:/ProgramData/chocolatey/li=
b/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-perl</p><p class=3DMsoNorm=
al>c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-org hides c:/P=
rogramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-or=
g</p><p class=3DMsoNormal>c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-201=
90617/ob-octave hides c:/ProgramData/chocolatey/lib/Emacs/tools/emacs/share=
/emacs/26.2/lisp/org/ob-octave</p><p class=3DMsoNormal>c:/Users/Scott/.emac=
s.d/elpa/org-plus-contrib-20190617/ob-ocaml hides c:/ProgramData/chocolatey=
/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-ocaml</p><p class=3DMso=
Normal>c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-mscgen hid=
es c:/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/or=
g/ob-mscgen</p><p class=3DMsoNormal>c:/Users/Scott/.emacs.d/elpa/org-plus-c=
ontrib-20190617/ob-maxima hides c:/ProgramData/chocolatey/lib/Emacs/tools/e=
macs/share/emacs/26.2/lisp/org/ob-maxima</p><p class=3DMsoNormal>c:/Users/S=
cott/.emacs.d/elpa/org-plus-contrib-20190617/ob-matlab hides c:/ProgramData=
/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-matlab</p><p=
 class=3DMsoNormal>c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/o=
b-makefile hides c:/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emac=
s/26.2/lisp/org/ob-makefile</p><p class=3DMsoNormal>c:/Users/Scott/.emacs.d=
/elpa/org-plus-contrib-20190617/ob-lua hides c:/ProgramData/chocolatey/lib/=
Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-lua</p><p class=3DMsoNormal>=
c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-lob hides c:/Prog=
ramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-lob</=
p><p class=3DMsoNormal>c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-201906=
17/ob-lisp hides c:/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emac=
s/26.2/lisp/org/ob-lisp</p><p class=3DMsoNormal>c:/Users/Scott/.emacs.d/elp=
a/org-plus-contrib-20190617/ob-lilypond hides c:/ProgramData/chocolatey/lib=
/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-lilypond</p><p class=3DMsoN=
ormal>c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-ledger hide=
s c:/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org=
/ob-ledger</p><p class=3DMsoNormal>c:/Users/Scott/.emacs.d/elpa/org-plus-co=
ntrib-20190617/ob-latex hides c:/ProgramData/chocolatey/lib/Emacs/tools/ema=
cs/share/emacs/26.2/lisp/org/ob-latex</p><p class=3DMsoNormal>c:/Users/Scot=
t/.emacs.d/elpa/org-plus-contrib-20190617/ob-keys hides c:/ProgramData/choc=
olatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-keys</p><p class=
=3DMsoNormal>c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-js h=
ides c:/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/=
org/ob-js</p><p class=3DMsoNormal>c:/Users/Scott/.emacs.d/elpa/org-plus-con=
trib-20190617/ob-java hides c:/ProgramData/chocolatey/lib/Emacs/tools/emacs=
/share/emacs/26.2/lisp/org/ob-java</p><p class=3DMsoNormal>c:/Users/Scott/.=
emacs.d/elpa/org-plus-contrib-20190617/ob-J hides c:/ProgramData/chocolatey=
/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-J</p><p class=3DMsoNorm=
al>c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-io hides c:/Pr=
ogramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-io<=
/p><p class=3DMsoNormal>c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190=
617/ob-hledger hides c:/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/=
emacs/26.2/lisp/org/ob-hledger</p><p class=3DMsoNormal>c:/Users/Scott/.emac=
s.d/elpa/org-plus-contrib-20190617/ob-haskell hides c:/ProgramData/chocolat=
ey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-haskell</p><p class=
=3DMsoNormal>c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-groo=
vy hides c:/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/l=
isp/org/ob-groovy</p><p class=3DMsoNormal>c:/Users/Scott/.emacs.d/elpa/org-=
plus-contrib-20190617/ob-gnuplot hides c:/ProgramData/chocolatey/lib/Emacs/=
tools/emacs/share/emacs/26.2/lisp/org/ob-gnuplot</p><p class=3DMsoNormal>c:=
/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-fortran hides c:/Pr=
ogramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-for=
tran</p><p class=3DMsoNormal>c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-=
20190617/ob-forth hides c:/ProgramData/chocolatey/lib/Emacs/tools/emacs/sha=
re/emacs/26.2/lisp/org/ob-forth</p><p class=3DMsoNormal>c:/Users/Scott/.ema=
cs.d/elpa/org-plus-contrib-20190617/ob-exp hides c:/ProgramData/chocolatey/=
lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-exp</p><p class=3DMsoNor=
mal>c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-eval hides c:=
/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-=
eval</p><p class=3DMsoNormal>c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-=
20190617/ob-emacs-lisp hides c:/ProgramData/chocolatey/lib/Emacs/tools/emac=
s/share/emacs/26.2/lisp/org/ob-emacs-lisp</p><p class=3DMsoNormal>c:/Users/=
Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-ebnf hides c:/ProgramData/=
chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-ebnf</p><p cl=
ass=3DMsoNormal>c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-d=
ot hides c:/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/l=
isp/org/ob-dot</p><p class=3DMsoNormal>c:/Users/Scott/.emacs.d/elpa/org-plu=
s-contrib-20190617/ob-ditaa hides c:/ProgramData/chocolatey/lib/Emacs/tools=
/emacs/share/emacs/26.2/lisp/org/ob-ditaa</p><p class=3DMsoNormal>c:/Users/=
Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-css hides c:/ProgramData/c=
hocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-css</p><p clas=
s=3DMsoNormal>c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-cor=
e hides c:/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/li=
sp/org/ob-core</p><p class=3DMsoNormal>c:/Users/Scott/.emacs.d/elpa/org-plu=
s-contrib-20190617/ob-coq hides c:/ProgramData/chocolatey/lib/Emacs/tools/e=
macs/share/emacs/26.2/lisp/org/ob-coq</p><p class=3DMsoNormal>c:/Users/Scot=
t/.emacs.d/elpa/org-plus-contrib-20190617/ob-comint hides c:/ProgramData/ch=
ocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-comint</p><p cl=
ass=3DMsoNormal>c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-c=
lojure hides c:/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26=
.2/lisp/org/ob-clojure</p><p class=3DMsoNormal>c:/Users/Scott/.emacs.d/elpa=
/org-plus-contrib-20190617/ob-calc hides c:/ProgramData/chocolatey/lib/Emac=
s/tools/emacs/share/emacs/26.2/lisp/org/ob-calc</p><p class=3DMsoNormal>c:/=
Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-C hides c:/ProgramDa=
ta/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-C</p><p cl=
ass=3DMsoNormal>c:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-a=
wk hides c:/ProgramData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/l=
isp/org/ob-awk</p><p class=3DMsoNormal>c:/Users/Scott/.emacs.d/elpa/org-plu=
s-contrib-20190617/ob-asymptote hides c:/ProgramData/chocolatey/lib/Emacs/t=
ools/emacs/share/emacs/26.2/lisp/org/ob-asymptote</p><p class=3DMsoNormal>c=
:/Users/Scott/.emacs.d/elpa/org-plus-contrib-20190617/ob-abc hides c:/Progr=
amData/chocolatey/lib/Emacs/tools/emacs/share/emacs/26.2/lisp/org/ob-abc</p=
><p class=3DMsoNormal><o:p>&nbsp;</o:p></p><p class=3DMsoNormal>Features:</=
p><p class=3DMsoNormal>(shadow sort mail-extr emacsbug message rmc puny dir=
ed dired-loaddefs</p><p class=3DMsoNormal>rfc822 mml mml-sec epa derived ep=
g gnus-util rmail rmail-loaddefs</p><p class=3DMsoNormal>mm-decode mm-bodie=
s mm-encode mail-parse rfc2231 mailabbrev gmm-utils</p><p class=3DMsoNormal=
>mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr</p><p cl=
ass=3DMsoNormal>mail-utils eieio-opt speedbar sb-image ezimage dframe char-=
fold</p><p class=3DMsoNormal>two-column iso-transl pp strokes msb artist pi=
cture reporter apropos</p><p class=3DMsoNormal>goto-addr view ox-minutes or=
g-eldoc org-man org-choose org-protocol</p><p class=3DMsoNormal>org-mouse o=
rg-inlinetask org-info org-bibtex bibtex ox-s5 ox-freemind</p><p class=3DMs=
oNormal>ox-confluence adaptive-wrap avoid smart-mode-line rich-minority tim=
e</p><p class=3DMsoNormal>paren beacon helpful imenu trace edebug info-look=
 f dash-functional</p><p class=3DMsoNormal>elisp-refs loop hydra lv helm-de=
scbinds helm helm-source eieio-compat</p><p class=3DMsoNormal>helm-multi-ma=
tch helm-lib async which-key cdlatex texmathp</p><p class=3DMsoNormal>write=
good-mode flyspell-correct-ido flyspell-correct flyspell ispell</p><p class=
=3DMsoNormal>ox-pandoc ht ox-org ox-odt rng-loc rng-uri rng-parse rng-match=
 rng-dt</p><p class=3DMsoNormal>rng-util rng-pttrn nxml-parse nxml-ns nxml-=
enc xmltok nxml-util ox-latex</p><p class=3DMsoNormal>ox-icalendar ox-html =
table ox-ascii ox-publish ox org-cliplink</p><p class=3DMsoNormal>org-clipl=
ink-transport org-cliplink-string em-glob wrap-region</p><p class=3DMsoNorm=
al>org-autolist org-bullets cperl-mode-expansions cperl-mode elpygen</p><p =
class=3DMsoNormal>yasnippet highlight-indentation flymake-proc flymake warn=
ings</p><p class=3DMsoNormal>company-capf company help-fns radix-tree elpy =
find-file-in-project</p><p class=3DMsoNormal>diff-mode elpy-shell pyvenv el=
py-profile elpy-django elpy-refactor</p><p class=3DMsoNormal>subr-x python-=
el-fgallina-expansions python tramp-sh tramp tramp-compat</p><p class=3DMso=
Normal>tramp-loaddefs trampver ucs-normalize parse-time json map grep files=
-x</p><p class=3DMsoNormal>etags xref project py-autopep8 xcscope cc-mode-e=
xpansions cc-mode</p><p class=3DMsoNormal>cc-fonts cc-guess cc-menus cc-cmd=
s cc-styles cc-align cc-engine cc-vars</p><p class=3DMsoNormal>cc-defs init=
-matlab highlight-indent-guides outshine outshine-org-cmds</p><p class=3DMs=
oNormal>outorg the-org-mode-expansions org-element avl-tree generator org o=
b</p><p class=3DMsoNormal>ob-tangle ob-ref ob-lob ob-table ob-exp org-macro=
 org-footnote org-src</p><p class=3DMsoNormal>ob-comint ob-keys org-pcomple=
te org-list org-faces org-entities</p><p class=3DMsoNormal>org-version ob-e=
macs-lisp ob-core ob-eval org-compat org-macs</p><p class=3DMsoNormal>org-l=
oaddefs format-spec find-func cal-menu calendar cal-loaddefs</p><p class=3D=
MsoNormal>noutline outline auto-complete popup rx recentf tree-widget buffe=
r-move</p><p class=3DMsoNormal>windmove smart-region elec-pair multiple-cur=
sors</p><p class=3DMsoNormal>mc-hide-unmatched-lines-mode mc-separate-opera=
tions</p><p class=3DMsoNormal>rectangular-region-mode mc-mark-pop mc-mark-m=
ore mc-cycle-cursors</p><p class=3DMsoNormal>mc-edit-lines expand-region te=
xt-mode-expansions er-basic-expansions</p><p class=3DMsoNormal>expand-regio=
n-core expand-region-custom smex ido-describe-bindings dash</p><p class=3DM=
soNormal>flx-ido ido-grid-mode ido-completing-read+ memoize s cus-edit cus-=
start</p><p class=3DMsoNormal>cus-load wid-edit minibuf-eldef ido swiper iv=
y flx delsel colir color</p><p class=3DMsoNormal>ivy-overlay ffap thingatpt=
 iedit iedit-lib multiple-cursors-core rect</p><p class=3DMsoNormal>replace=
-from-region google-this url url-proxy url-privacy url-expand</p><p class=
=3DMsoNormal>url-methods url-history url-cookie url-domsuf url-util mailcap=
 diminish</p><p class=3DMsoNormal>persp-mode cl winner transpose-frame auto=
revert filenotify powershell</p><p class=3DMsoNormal>advice compile em-smar=
t esh-var esh-io esh-cmd esh-opt esh-ext esh-proc</p><p class=3DMsoNormal>e=
sh-arg esh-groups eshell esh-module esh-mode esh-util shell pcomplete</p><p=
 class=3DMsoNormal>comint ansi-color ring ps-print ps-print-loaddefs ps-def=
 lpr pcase</p><p class=3DMsoNormal>edmacro kmacro cl-extra help-mode use-pa=
ckage use-package-ensure</p><p class=3DMsoNormal>use-package-delight use-pa=
ckage-diminish use-package-bind-key bind-key</p><p class=3DMsoNormal>easy-m=
mode use-package-core finder-inf tex-site info package easymenu</p><p class=
=3DMsoNormal>epg-config url-handlers url-parse auth-source cl-seq eieio eie=
io-core</p><p class=3DMsoNormal>cl-macs eieio-loaddefs password-cache url-v=
ars seq byte-opt gv bytecomp</p><p class=3DMsoNormal>byte-compile cconv cl-=
loaddefs cl-lib saveplace server time-date</p><p class=3DMsoNormal>mule-uti=
l tooltip eldoc electric uniquify ediff-hook vc-hooks</p><p class=3DMsoNorm=
al>lisp-float-type mwheel dos-w32 ls-lisp disp-table term/w32-win w32-win</=
p><p class=3DMsoNormal>w32-vars term/common-win tool-bar dnd fontset image =
regexp-opt fringe</p><p class=3DMsoNormal>tabulated-list replace newcomment=
 text-mode elisp-mode lisp-mode</p><p class=3DMsoNormal>prog-mode register =
page menu-bar rfn-eshadow isearch timer select</p><p class=3DMsoNormal>scro=
ll-bar mouse jit-lock font-lock syntax facemenu font-core</p><p class=3DMso=
Normal>term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang<=
/p><p class=3DMsoNormal>vietnamese tibetan thai tai-viet lao korean japanes=
e eucjp-ms cp51932</p><p class=3DMsoNormal>hebrew greek romanian slovak cze=
ch european ethiopic indian cyrillic</p><p class=3DMsoNormal>chinese compos=
ite charscript charprop case-table epa-hook jka-cmpr-hook</p><p class=3DMso=
Normal>help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs<=
/p><p class=3DMsoNormal>button faces cus-face macroexp files text-propertie=
s overlay sha1 md5</p><p class=3DMsoNormal>base64 format env code-pages mul=
e custom widget hashtable-print-readable</p><p class=3DMsoNormal>backquote =
threads w32notify w32 lcms2 multi-tty make-network-process</p><p class=3DMs=
oNormal>emacs)</p><p class=3DMsoNormal><o:p>&nbsp;</o:p></p><p class=3DMsoN=
ormal>Memory information:</p><p class=3DMsoNormal>((conses 16 823059 172693=
)</p><p class=3DMsoNormal> (symbols 48 56541 97)</p><p class=3DMsoNormal> (=
miscs 40 1813 3257)</p><p class=3DMsoNormal> (strings 32 202445 19670)</p><=
p class=3DMsoNormal> (string-bytes 1 5795113)</p><p class=3DMsoNormal> (vec=
tors 16 120746)</p><p class=3DMsoNormal> (vector-slots 8 2686955 360274)</p=
><p class=3DMsoNormal> (floats 8 683 1226)</p><p class=3DMsoNormal> (interv=
als 56 5581 4574)</p><p class=3DMsoNormal> (buffers 992 23))*** E-Mail body=
 has been placed on clipboard, please paste it here! ***</p><p class=3DMsoN=
ormal>Sent from <a href=3D"https://go.microsoft.com/fwlink/?LinkId=3D550986=
">Mail</a> for Windows 10</p><p class=3DMsoNormal><o:p>&nbsp;</o:p></p></di=
v></body></html>=

--_50B7DF19-6DCB-4283-B4FA-12FD5884414B_--





Acknowledgement sent to Scott Otterson <scotto@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#36269; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 3 Aug 2019 11:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.